BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object System.Runtime.InteropServices.ComVisible(true)

This class serves as the base class for all classes that represent event data. For example, the class derives from and is used to hold the data for assembly load events. To create a custom event data class, create a class that derives from the class and provide the properties to store the necessary data. The name of your custom event data class should end with EventArgs.

To pass an object that does not contain any data, use the field.

For more information about events, see the Handling and Raising Events article.

Represents the base class for classes that contain event data, and provides a value to use for events that do not include event data.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  To pass an object that does not contain any data, use the field.

  Initializes a new instance of the class.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.EventArgs

  Pass this value to event handlers that are associated with events that do not have data.

  Provides a value to use with events that do not have event data.

  0
0